<?session_start();

if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
	include ("fphp.php");
	$enlace=cargar_conexion();
	$cedula=str_repeat('0',8-strlen(trim($_REQUEST["cedula"]))).trim($_REQUEST["cedula"]);

	$consulta="select nombres,nombres1,apellidos,apellidos1,fechai from personal where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' ";
	$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	$row=mysqli_fetch_array($resultado);
	echo "<center><font face='verdana' color=red size=4>[Informe de Antiguedad de Prestaciones Sociales e Intereses]</font></center>";
	echo "<br><center><img src='img2/administrator.png'><font color=black size=4>&nbsp;".trim($row['nombres'])." ".trim($row['nombres1']).' '.trim($row['apellidos'])." ".trim($row['apellidos1'])."</font></center><br>";

	//============ datos de empresa
	$consulta=mysqli_query($enlace, "'select * from empresa where id='".$_SESSION['id_validar']."' '");
	$rowr=mysqli_fetch_array($consulta);
	$ince=$rowr['ince'];
	$dvac=$rowr['dvac'];
	$duti=$rowr['duti'];
	
	//=========== datos de prestaciones
	$consultax="select * from prestacion where id='".$_SESSION['id_validar']."' and cedula='".$cedula."' ";
	$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$rowx=mysqli_fetch_array($resultadox);
	$smes = $rowx['smes'];
	$dias = $rowx['dias'];
	$fec1 = $rowx['fechai'];
	$fec2 = date('Y-n-j');
	$vac = $rowx['vacacion'];
	$semana=0;
	if ($dias>1 && $dias<=7) $semana=1;
	if ($dias>7) $semana=2;
	
	$afn=substr($fec1,0,4);	
	$mfn=substr($fec1,5,2);	
	$a=substr($fec2,0,4);	
	$m=substr($fec2,5,2);	
	if ($m-$mfn<0) $meses = ($a-$afn-1)*12 + ($m-$mfn+12);
	else $meses = ($a-$afn)*12 + ($m-$mfn);

	if ($mfn>=1 && $mfn < $m) $mesutilidad = $m - $mfn;
	else $mesutilidad = $m;
	$utilidad = $duti/12*$mesutilidad*($smes/30);
	

	//============ mostrar informe
	echo "<table border=1 cellpadding=2 cellspacing=0 align='center'>";
	echo "<tr bgcolor='#43bced'>";
		echo "<th align = left><font color='white'> Año-Mes </font></th>";
		echo "<th align = left><font color='white'> Prestaciones </font></th>";
		echo "<th align = right><font color='white'> Anticipos </font></th>";
		echo "<th align = right><font color='white'> Int/Capitalizados </font></th>";
		echo "<th align = right><font color='white'> Acumulado </font></th>";
		echo "<th align = right><font color='white'> Tasa(%) </font></th>";
		echo "<th align = right><font color='white'> Interes Ganados </font></th>";
		echo "<th align = right><font color='white'> Años </font></th>";
		echo "<th align = right><font color='white'> Meses </font></th>";
		echo "<th align = right><font color='white'> Dias </font></th>";
		echo "<th align = right><font color='white'> Salario Integral </font></th>";
		echo "<th align = right><font color='white'> Prestaci&oacute;n del Mes </font></th>";
	echo "</tr>";

	$fec11 = substr($fec1,0,7);
	$fec22 = substr($fec2,0,7);
	$inicio=0; $tri=0; $salto=0; $anosx=0; $anos=0; $entrosueldo=0; $acumulado=0; $intereses=0; $tdias=0; $prestaciones=0;
	$interesganados=0; $acumulado=0;

	//============ datos de sueldo
	$db='pedidosm_mynomina_'.$_SESSION['db_validar'];		
	$consulta=mysqli_query($enlace,"select sueldo from personal_sueldo where id='".$_SESSION['id_validar']."' and substring(fec,1,7)='".$fec11."' and codigo='".$cedula."'") or die (mysqli_error($enlace));
	$row=mysqli_fetch_array($consulta);
	if (mysqli_num_rows($consulta)!=0) $sueldo=$row['sueldo'];
	
	while ($fec11<$fec22) {
		
			//====================== calcular años
			$anosx++;
			if ($anosx>12) {
				$anos++;			
				$anosx=1;
			}	
			
			$a=substr($fec11,0,4);	
			$m=substr($fec11,5,2)+1;	
			if ($m>12) {
				$m='01';
				$a=$a+1;
			} else $m=(strlen($m)==1?('0'.$m):$m);	
			$fec11=$a."-".$m;

			//====================== salto de tres en tres desde 05-2012
			if ($tri==1) {
				$salto++; $dias=0;
				if ($salto==3) {
					$salto=0;
					$dias=15;
				}	
			} else {
				if ($fec11<='2012-04') {
					if ($fec11=='2012-04') $tri=1;
					$dias=5;	
				} else {
					$tri=1;
					$salto++; $dias=0;
					if ($salto==3) {
						$salto=0;
						$dias=15;
					}	
				}
			}

			//====================== calcular inicio
			$inicio++;
			if ($inicio<=3 && $fec11<'2012-04') $dias=0;

			//============ datos de adelantos
			$consulta=mysqli_query($enlace,"select sum(monto) as total from prestacion_adelanto where id='".$_SESSION['id_validar']."' and substring(fecha,1,7)='".$fec11."' and cedula='".$cedula."'") or die (mysqli_error($enlace));
			$row=mysqli_fetch_array($consulta);
			$adelanto=$row['total'];

			//============ datos de sueldo
			$consulta=mysqli_query($enlace,"select sueldo from personal_sueldo where id='".$_SESSION['id_validar']."' and substring(fec,1,7)='".$fec11."' and codigo='".$cedula."'") or die (mysqli_error($enlace));
			$row=mysqli_fetch_array($consulta);
			if (mysqli_num_rows($consulta)!=0) $sueldo=$row['sueldo'];
			$integral = ($sueldo/30) + ($dvac/12*$sueldo/30/30) + ($duti/12*$sueldo/30/30);
			
			//============ datos de interes
			$consulta=mysqli_query($enlace,"select mon as total from interes where substring(fec,1,7)='".$fec11."'");
			$row=mysqli_fetch_array($consulta);
			if ($row['total']==0) $tcolor='red';
			else $tcolor='black';
			$interes=($row['total']==0?$interes:$row['total']);

			
			//====================== mostrar resultado
			$acumulado += $integral*$dias - $adelanto;
			echo "<tr>";
				echo "<td>$fec11</td>";
				echo "<td align=right><b><font color=blue>".number_format($prestaciones,2)."</b></font></td>";
				echo "<td align=right><b><font color=blue>".number_format($interesganados,2)."</b></font></td>";
				echo "<td align=right><b><font color=".$tcolor.">".number_format($interes,2)."</font></td>";
				echo "<td align=right>".number_format($prestaciones*$interes/100/12,2)."</td>";
				echo "<td align=right>".number_format($anos,0)."</td>";
				echo "<td align=right>".number_format($anosx,0)."</td>";
				echo "<td align=right><b><font color=blue>".number_format($dias,0)."</b></font></td>";
				echo "<td align=right>".number_format($integral,2)."</td>";
				echo "<td align=right>".number_format($integral*$dias,2)."</td>";
				echo "<td align=right><b>".number_format($acumulado,2)."</b></td>";
				echo "<td align=right><font color=red>".number_format($adelanto,2)."</font></td>";
			echo "</tr>";

			//============ calculo
			if ($prestaciones*$interes/100/12>0) {
				$interesganados += $prestaciones*$interes/100/12;	
			}

			//============ dia adicional
			if ($anosx==12 && $anos>=1) {
				$diaa = $anos*2;
				echo "<tr>";
					echo "<td colspan=9 align=right>D&iacute;as Adicionales Anuales </td>";
					echo "<td align=right>".number_format($diaa,0)."</td>";
					echo "<td align=right>".number_format($integral,2)."</td>";
					echo "<td align=right>".number_format($integral*$diaa,2)."</td>";
				echo "</tr>";
			} else $diaa=0;	
			
			$tdias += $dias+$diaa;	
			$prestaciones += ($integral*$dias)+($integral*$diaa)-$adelanto;	
	}
	echo "<tr bgcolor='#43bced'>";
		echo "<td>&nbsp;</td>";
		echo "<td align=right>".number_format($prestaciones,2)."</td>";
		echo "<td>&nbsp;</td>";
		echo "<td align=right>".number_format($interesganados,2)."</td>";
		echo "<td align=right>&nbsp;</td>";
		echo "<td>&nbsp;</td>";
		echo "<td>&nbsp;</td>";
		echo "<td>&nbsp;</td>";
		echo "<td>&nbsp;</td>";
		echo "<td align=right>".number_format($tdias,0)."</td>";
		echo "<td>&nbsp;</td>";
		echo "<td>&nbsp;</td>";
	echo "</tr>";
	
	echo "</table>";
?>